> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/publishers-faq/publisher-compliance/blocking-ad-types-and-products.md).

# Blocking ad types and products

For compliance or business reasons, you may need to block certain ads from your ad zones. Ads can be blocked based on either their **type** (design, files used or audience) or their **product**.

To enable filtering on your ad zone, log in to your account, click **Sites and Zones** and then click the **Edit** button for the zone you want to filter ads:

![](https://content.gitbook.com/content/GoSwRYjxsR1XS6va6yLj/blobs/DHy55HPtLCQDjO25mEPi/assets/hires/block_edit_zone.png)

On this page, scroll down to the **Ad Filtering** section. You will find two types of block:

## Block Ad Types

![](https://content.gitbook.com/content/GoSwRYjxsR1XS6va6yLj/blobs/dKFAVcb0udNJJ3EiYqF9/assets/hires/block_ad_types.png)

This section lists different types of ad designs and files, such as "Streaming" video ads or banners using "HTML Tags". You can also restrict the specific target audience of the advertisement that will be displayed here.

## Block Specific Products

![](https://content.gitbook.com/content/GoSwRYjxsR1XS6va6yLj/blobs/INkKXUFY2Rj4Nu24jwn8/assets/hires/block_specific_products.png)

This section lists all product and offer types that can be promoted through our ads. You can either block specific products or block all products within the same category.

{% hint style="warning" %}
When adding any type of block, please bear in mind that **you are restricting revenue potential**, since fewer ads will be able to target you. We strongly advise you only block where necessary. You can add or remove blocks anytime.
{% endhint %}

If you want to find out more about **what types of ads are allowed in our platform and how we comply with the current standards of the industry**, please read [**this blog post**](https://www.exoclick.com/blog/how-exoclick-protects-publishers-on-our-network-old).

For any other Compliance-related questions related to Ad filtering, please contact our Compliance team selecting "Website Review" [**here**](https://www.exoclick.com/contact/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/publishers-faq/publisher-compliance/blocking-ad-types-and-products.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
